# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.mergeresolution.MergeResolutionListenerRegistry

Packages that use MergeResolutionListenerRegistry
Package
Description
org.eclipse.emf.compare.ide.ui.internal
org.eclipse.emf.compare.ide.ui.internal.mergeresolution
org.eclipse.emf.compare.ide.ui.mergeresolution

## Uses of MergeResolutionListenerRegistry in org.eclipse.emf.compare.ide.ui.internal

Methods in org.eclipse.emf.compare.ide.ui.internal that return MergeResolutionListenerRegistry
Modifier and Type
Method
Description
`MergeResolutionListenerRegistry`
EMFCompareIDEUIPlugin.`getMergeResolutionListenerRegistry()`
Returns the registry containing all known merge resolution listeners.

## Uses of MergeResolutionListenerRegistry in org.eclipse.emf.compare.ide.ui.internal.mergeresolution

Constructors in org.eclipse.emf.compare.ide.ui.internal.mergeresolution with parameters of type MergeResolutionListenerRegistry
Modifier
Constructor
Description
``
`MergeResolutionListenerRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, MergeResolutionListenerRegistry registry)`
Initialize a registry event listener for our handlers.

## Uses of MergeResolutionListenerRegistry in org.eclipse.emf.compare.ide.ui.mergeresolution

Constructors in org.eclipse.emf.compare.ide.ui.mergeresolution with parameters of type MergeResolutionListenerRegistry
Modifier
Constructor
Description
``
`MergeResolutionManager(MergeResolutionListenerRegistry registry)`
Default constructor.